import { createGlobalStyle } from 'styled-components';

const css = createGlobalStyle;

export default css`
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        outline: 0;
    }

    html,
    body,
    #root {
        height: 100%;
        font-family: 'Poppins', Helvetica, "sans-serif";
        font-style: normal;
        color: #212529;
        font-size: 14px;
    }
    body {
        -webkit-font-smoothing: antialiased;
    }

   .sb-show-main.sb-main-padded {
      padding: 0rem;
   }

    .table {
        display: table;
        margin-bottom: 0px;

        .table {
            background: transparent;
        }

        .td-max-width-0 {
            max-width: 0px;
        }

        .td-min {
            width: 1%;
        }

        .td-1px {
            width: 1px;
        }

        .tr {
            display: table-row;
        }

        .td {
            display: table-cell;
            vertical-align: middle;

            &.td-min {
                width: 1%;
            }

            &.td-overflow-text {
                width: 100%;
                max-width: 0px;
                text-overflow: ellipsis;
                overflow: hidden;
                white-space: nowrap;
            }

            &.td-max-width-0 {
                max-width: 0px;
            }
        }
    }
`;
