import React from 'react';
import { addDecorator } from '@storybook/react';
import { ThemeProvider } from 'styled-components';
import GlobalStyle from './style.tsx';
import 'bootstrap/dist/css/bootstrap.css';
import { variables } from './styles/variable';

addDecorator((storyFn) => (
    <>
        <GlobalStyle />
        {storyFn()}
    </>
));
