import React from 'react';
import { Observable } from 'rxjs';
export interface IPropAutocompleteFetchResponse {
    name: string;
    disabled?: boolean;
    [key: string]: any;
}
export interface IPropsAutoComplete extends React.ComponentProps<any> {
    name: any;
    renderInput?: (name: string, item: any) => JSX.Element;
    fetch: (text: string) => Observable<IPropAutocompleteFetchResponse[]>;
    onSelect?: (select: any) => void;
    cleanAfterSelect?: boolean;
    inputProps?: React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
    NotFoundComponent?: JSX.Element;
    title?: any;
    prefix?: string | JSX.Element;
    suffix?: string | JSX.Element;
    textRight?: boolean;
    textCenter?: boolean;
    loading?: boolean;
    mask?: 'CEP' | 'CNPJ' | 'CPF' | 'RG' | 'phone' | 'number' | 'no-spaces';
    withoutDotNumber?: boolean;
    decimals?: number;
    error?: string;
    value?: string;
    onInput?: (text: string) => void;
    onEnter?: (text: string) => void;
}
//# sourceMappingURL=Autocomplete.interface.d.ts.map